Subject: Re: bug#78594: [PATCH] 31.0.50; typescript-ts-mode & tsx-ts-mode does not fontify variable-use consistently

From: Konstantin Kharlamov <[email-masked]>
Date: Mon, 26 May 2025 22:44:08 +0300

On Mon, 2025-05-26 at 21:29 +0300, Eli Zaretskii wrote:
> > From: Jostein Kjønigsen <[email-masked]>
> > Date: Mon, 26 May 2025 19:02:04 +0200
> > 
> > Hey everyone!
> > 
> > I'm an avid user of typescript-ts-mode, and I'm also very
> > interested in seeing expanded use of font-lock-variable-use-face in
> > Emacs. IMO it really helps highlight key structural elements of the
> > code.
> > 
> > Unfortunately typescript-ts-mode (and tsx-ts-mode) is not very
> > good, nor consistent in highlighting variable use using these new
> > faces.
> > 
> > Attached is a patch which seeks to remedy the situation. Let me
> > know what you think :) 
> 
> Thanks, I'm adding to the discussion people who lately made changes
> in these modes.

Sounds interesting, thank you!

Though, I may not be the best person to appreciate this, because I'm
using color-identifiers-mode to highlight variables, along with which I
configure my local typescript-ts color-scheme to be monochrome (to make
colored identifiers stand out).  So I'd leave for others to comment.